// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function ZeitMenuIcon(props: React.SVGProps<SVGSVGElement>) {
  return (
    <svg
      aria-hidden
      xmlns="http://www.w3.org/2000/svg"
      width="24"
      height="22"
      viewBox="0 0 24 22"
      fill="none"
      {...props}
    >
      <path
        d="M19.5857 17.8984C19.2049 18.3147 18.7885 18.7133 18.3456 19.0588C18.1508 19.2094 18.1242 19.4928 18.2748 19.6788C18.3634 19.7851 18.4874 19.8471 18.6202 19.8471C18.7177 19.8471 18.8151 19.8117 18.8948 19.7497C19.3731 19.3688 19.8249 18.9436 20.2412 18.4919C20.4095 18.3059 20.3918 18.0313 20.2058 17.863C20.0198 17.7035 19.7452 17.7124 19.5769 17.8984H19.5857Z"
        fill="white"
      />
      <path
        d="M22.943 9.19446C22.881 8.84901 22.8102 8.51241 22.7127 8.17582C22.6507 7.94552 22.4116 7.80379 22.1724 7.8658C21.9332 7.9278 21.8004 8.17582 21.8624 8.40612C21.9509 8.71614 22.013 9.02616 22.0661 9.34504C22.1104 9.59306 22.137 9.83222 22.1635 10.0714C22.1901 10.3017 22.3761 10.47 22.6064 10.47C22.6241 10.47 22.633 10.47 22.6507 10.47C22.8899 10.4434 23.067 10.2308 23.0493 9.9828C23.0227 9.71707 22.9873 9.46019 22.943 9.19446Z"
        fill="white"
      />
      <path
        d="M22.4729 13.1178C22.2337 13.0647 21.9946 13.2064 21.9414 13.4455C21.8085 13.9947 21.6314 14.5439 21.4099 15.0576C21.3125 15.2791 21.4099 15.5448 21.6402 15.6423C21.6934 15.6688 21.7554 15.6777 21.8174 15.6777C21.9857 15.6777 22.154 15.5803 22.2249 15.412C22.464 14.8539 22.6589 14.2605 22.8006 13.667C22.8538 13.4278 22.712 13.1887 22.4729 13.1355V13.1178Z"
        fill="white"
      />
      <path
        d="M15.3866 20.6904C14.8551 20.8765 14.2971 21.0182 13.7479 21.1156C13.5088 21.1599 13.3405 21.3902 13.3848 21.6294C13.4202 21.842 13.6062 22.0014 13.8188 22.0014C13.8454 22.0014 13.8719 22.0014 13.8897 22.0014C14.492 21.8951 15.0943 21.7445 15.6701 21.5408C15.9004 21.4611 16.0244 21.2042 15.9446 20.9739C15.8649 20.7436 15.6081 20.6196 15.3778 20.6993L15.3866 20.6904Z"
        fill="white"
      />
      <path
        d="M17.8505 14.2961L12.4738 11.3022V4.28685C12.4738 4.03883 12.279 3.84396 12.031 3.84396C11.7829 3.84396 11.5881 4.03883 11.5881 4.28685V11.8248L17.4165 15.0667C17.4873 15.1022 17.5582 15.1199 17.6291 15.1199C17.7796 15.1199 17.9391 15.0402 18.0188 14.8896C18.134 14.677 18.0631 14.4024 17.8505 14.2873V14.2961Z"
        fill="white"
      />
      <path
        d="M19.1164 0.379171C19.0721 0.290593 18.9747 0.255165 18.8861 0.299454C18.8595 0.308312 18.833 0.334885 18.8152 0.361458L17.894 1.69012C17.894 1.69012 17.8763 1.67241 17.8586 1.66355C15.343 0.104585 12.3756 -0.382593 9.49688 0.299454C6.61811 0.972643 4.17337 2.73534 2.61441 5.24208C1.05544 7.75768 0.568267 10.725 1.25031 13.6038C1.9235 16.4826 3.6862 18.9273 6.19294 20.4863C7.30016 21.1772 8.51367 21.6555 9.79804 21.9212C9.82462 21.9212 9.86005 21.9212 9.88662 21.9212C10.0903 21.9212 10.2764 21.7795 10.3207 21.5669C10.3649 21.3278 10.2144 21.0886 9.9752 21.0443C8.79712 20.8051 7.68104 20.3623 6.6624 19.7245C4.35053 18.2895 2.72956 16.0397 2.10952 13.3912C1.48947 10.7427 1.93236 8.00569 3.36732 5.69382C4.80227 3.38195 7.05214 1.76098 9.70061 1.14094C12.3491 0.520895 15.0773 0.963788 17.3891 2.39874L16.4148 3.80712C16.3616 3.88684 16.3794 3.99313 16.4591 4.04628C16.4856 4.06399 16.5122 4.07286 16.5477 4.07286L20.7462 4.41831C20.8437 4.41831 20.9234 4.3563 20.9322 4.25887C20.9322 4.2323 20.9322 4.19687 20.9145 4.17029L19.1164 0.361458V0.379171Z"
        fill="white"
      />
    </svg>
  );
}
